Bug 251584 - Duplicate user in passwd
Summary: Duplicate user in passwd
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-users   
(Show other bugs)
Version: 7
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-09 21:21 UTC by ray hammond
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 1.2.64-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 03:20:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ray hammond 2007-08-09 21:21:26 UTC
Description of problem:
Using the properties dialog it is possible to override an existing user when
modifying the name of a different user.

Version-Release number of selected component (if applicable):
1.2.60

How reproducible:
Every time

Steps to Reproduce:
1.As a none root user open the system-config-user utility - enter root password
when prompted.
2.Select any none root user from the list, in my case the user is called ray.
3.Click the properties button.
4.Alter the username field to root and press ok

  
Actual results:
The user gets renamed to root.  Additionally if you inspect /etc/passwd you will
see that it now contains two entries for root.  Each entry in passwd has been
assigned the user id of the selected user (in step 2).  Also, when rebooting the
system struggles to start and reports several warnings, which relate to the root
user permissions.

Expected results:
The utility should inform the user that the name is already being used and force
them to select a unique name.  

Additional info:
The create user function already checks for the existence of an existing user
with the same name.

Comment 1 Nils Philippsen 2007-08-10 09:03:54 UTC
I've fixed this in the upstream repository. I need to fix some other things
before I can package a new version though.

Comment 2 Fedora Update System 2007-08-17 16:12:37 UTC
system-config-users-1.2.64-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2007-09-18 03:20:19 UTC
system-config-users-1.2.64-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.